> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Onramp Session Token

> Derives the org's Safe address and token, signs a CDP JWT, and fetches a Coinbase Onramp session token.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/create-onramp-session-token
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/create-onramp-session-token:
    post:
      operationId: createOnrampSessionToken
      summary: Create Onramp Session Token
      description: >-
        Derives the org's Safe address and token, signs a CDP JWT, and fetches a
        Coinbase Onramp session token.


        Not available to API keys.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateOnrampSessionTokenResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreateOnrampSessionTokenResponse:
      type: object
      properties:
        sessionToken:
          type: string
        address:
          type: string
        network:
          type: string
        assets:
          type: array
          items:
            type: string
      required:
        - sessionToken
        - address
        - network
        - assets
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
